-- ALL MODES MENU
-- LEFT
local	ehsd_btn_02				= CreateElement "ceStringPoly"
		ehsd_btn_02.name		= "ehsd_btn_02"
		ehsd_btn_02.material	= mpcd_tpod_font
		ehsd_btn_02.init_pos	= mpcd_btn_02_pos
		ehsd_btn_02.alignment	= "CenterCenter"
		ehsd_btn_02.value		= "D\nA\nT\nA"
		ehsd_btn_02.stringdefs	= MPCD_default_font_size
		ehsd_btn_02.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_02)

local	ehsd_btn_03				= CreateElement "ceStringPoly"
		ehsd_btn_03.name		= "ehsd_btn_03"
		ehsd_btn_03.material	= mpcd_tpod_font
		ehsd_btn_03.init_pos	= mpcd_btn_03_pos
		ehsd_btn_03.alignment	= "CenterCenter"
		ehsd_btn_03.value		= "M\nA\nP\nM"
		ehsd_btn_03.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_03)

local	ehsd_btn_04				= CreateElement "ceStringPoly"
		ehsd_btn_04.name		= "ehsd_btn_04"
		ehsd_btn_04.material	= mpcd_tpod_font
		ehsd_btn_04.init_pos	= mpcd_btn_04_pos
		ehsd_btn_04.alignment	= "CenterCenter"
		ehsd_btn_04.value		= "O\nL\nX"
		ehsd_btn_04.stringdefs	= MPCD_default_font_size
		ehsd_btn_04.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_NAV_Mode"}}
Add_MPCD_VIDEO_Element(ehsd_btn_04)

local	ehsd_btn_05				= CreateElement "ceStringPoly"
		ehsd_btn_05.name		= "ehsd_btn_05"
		ehsd_btn_05.material	= mpcd_tpod_font
		ehsd_btn_05.init_pos	= mpcd_btn_05_pos
		ehsd_btn_05.alignment	= "CenterCenter"
		ehsd_btn_05.value		= "D\nT\nX"
		ehsd_btn_05.stringdefs	= MPCD_default_font_size
		ehsd_btn_05.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_NAV_Mode"}}
Add_MPCD_VIDEO_Element(ehsd_btn_05)

-- TOP
local	ehsd_btn_08				= CreateElement "ceStringPoly"
		ehsd_btn_08.name		= "ehsd_btn_08"
		ehsd_btn_08.material	= mpcd_tpod_font
		ehsd_btn_08.init_pos	= mpcd_btn_08_pos
		ehsd_btn_08.alignment	= "CenterCenter"
		ehsd_btn_08.value		= "GPS"
		ehsd_btn_08.stringdefs	= MPCD_default_font_size
		ehsd_btn_08.controllers	= {{"EHSD_NAV_Mode"}}
Add_MPCD_VIDEO_Element(ehsd_btn_08)

-- RIGHT
local	ehsd_btn_11				= CreateElement "ceStringPoly"
		ehsd_btn_11.name		= "ehsd_btn_11"
		ehsd_btn_11.material	= mpcd_tpod_font
		ehsd_btn_11.init_pos	= mpcd_btn_11_pos
		ehsd_btn_11.alignment	= "CenterCenter"
		ehsd_btn_11.value		= "N\nS\nE\nQ"
		ehsd_btn_11.stringdefs	= MPCD_default_font_size
		ehsd_btn_11.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_Data_WPT"}}
Add_MPCD_VIDEO_Element(ehsd_btn_11)

local	ehsd_btn_14				= CreateElement "ceStringPoly"
		ehsd_btn_14.name		= "ehsd_btn_14"
		ehsd_btn_14.material	= mpcd_tpod_font
		ehsd_btn_14.init_pos	= mpcd_btn_14_pos
		ehsd_btn_14.alignment	= "CenterCenter"
		ehsd_btn_14.value		= "I\nF\nF"
		ehsd_btn_14.stringdefs	= MPCD_default_font_size
		ehsd_btn_14.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_Data_WPT"}}
Add_MPCD_VIDEO_Element(ehsd_btn_14)

local	ehsd_btn_15				= CreateElement "ceStringPoly"
		ehsd_btn_15.name		= "ehsd_btn_15"
		ehsd_btn_15.material	= mpcd_tpod_font
		ehsd_btn_15.init_pos	= mpcd_btn_15_pos
		ehsd_btn_15.alignment	= "CenterCenter"
		ehsd_btn_15.value		= "E\nC\nM"
		ehsd_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_15)

-- BOTTOM
local	ehsd_btn_16				= CreateElement "ceStringPoly"
		ehsd_btn_16.name		= "ehsd_btn_16"
		ehsd_btn_16.material	= mpcd_tpod_font
		ehsd_btn_16.init_pos	= mpcd_btn_16_pos
		ehsd_btn_16.alignment	= "CenterCenter"
		ehsd_btn_16.value		= "A/C"
		ehsd_btn_16.stringdefs	= MPCD_default_font_size
		ehsd_btn_16.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_16)

local	ehsd_btn_17				= CreateElement "ceStringPoly"
		ehsd_btn_17.name		= "ehsd_btn_17"
		ehsd_btn_17.material	= mpcd_tpod_font
		ehsd_btn_17.init_pos	= mpcd_btn_17_pos
		ehsd_btn_17.alignment	= "CenterCenter"
		ehsd_btn_17.value		= "TCN"
		ehsd_btn_17.stringdefs	= MPCD_default_font_size
		ehsd_btn_17.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_17)

local	ehsd_btn_18				= CreateElement "ceStringPoly"
		ehsd_btn_18.name		= "ehsd_btn_18"
		ehsd_btn_18.material	= mpcd_tpod_font
		ehsd_btn_18.init_pos	= mpcd_btn_18_pos
		ehsd_btn_18.alignment	= "CenterCenter"
		ehsd_btn_18.value		= "MENU"
		ehsd_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_18)

local	ehsd_btn_19				= CreateElement "ceStringPoly"
		ehsd_btn_19.name		= "ehsd_btn_19"
		ehsd_btn_19.material	= mpcd_tpod_font
		ehsd_btn_19.init_pos	= mpcd_btn_19_pos
		ehsd_btn_19.alignment	= "CenterCenter"
		ehsd_btn_19.value		= "WYPT"
		ehsd_btn_19.stringdefs	= MPCD_default_font_size
		ehsd_btn_19.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_19)

local	ehsd_btn_20				= CreateElement "ceStringPoly"
		ehsd_btn_20.name		= "ehsd_btn_20"
		ehsd_btn_20.material	= mpcd_tpod_font
		ehsd_btn_20.init_pos	= mpcd_btn_20_pos
		ehsd_btn_20.alignment	= "CenterCenter"
		ehsd_btn_20.formats		= {"%s"}
		ehsd_btn_20.controllers	= {{"ehsd_scale_menu"}}
		ehsd_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_20)

-- WPT/TCN Data
local	ehsd_btn_12				= create_mpcd_textured_box( 180, 864, 198, 922)
		ehsd_btn_12.name		= "ehsd_btn_12"
		ehsd_btn_12.init_pos	= mpcd_btn_12_pos
		ehsd_btn_12.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_Data_NOT_AC"}}
Add_MPCD_VIDEO_Element(ehsd_btn_12)

local	ehsd_btn_13				= create_mpcd_textured_box( 209, 864, 227, 924)
		ehsd_btn_13.name		= "ehsd_btn_13"
		ehsd_btn_13.init_pos	= mpcd_btn_13_pos
		ehsd_btn_13.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_Data_NOT_AC"}}
Add_MPCD_VIDEO_Element(ehsd_btn_13)

local	ehsd_idx_number				= CreateElement "ceStringPoly"
		ehsd_idx_number.name		= "ehsd_idx_number"
		ehsd_idx_number.material	= mpcd_tpod_font
		ehsd_idx_number.init_pos	= { 0.95,  0.165, 0}
		ehsd_idx_number.alignment	= "RightCenter"
		ehsd_idx_number.formats		= {"%s%d"}
		ehsd_idx_number.stringdefs	= MPCD_large_font_size
		ehsd_idx_number.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_Data_NOT_AC"}, {"wypt_index_number"}}
Add_MPCD_VIDEO_Element(ehsd_idx_number)

-- AG MODE MENU
-- LEFT
local	ehsd_btn_04_ag				= CreateElement "ceStringPoly"
		ehsd_btn_04_ag.name			= "ehsd_btn_04_ag"
		ehsd_btn_04_ag.material		= mpcd_tpod_font
		ehsd_btn_04_ag.init_pos		= mpcd_btn_04_pos
		ehsd_btn_04_ag.alignment	= "CenterCenter"
		ehsd_btn_04_ag.formats		= {"%s"}
		ehsd_btn_04_ag.stringdefs	= MPCD_default_font_size
		ehsd_btn_04_ag.controllers	= {{"EHSD_AG_Mode"}, {"dmt_lsr_scan"}}
Add_MPCD_VIDEO_Element(ehsd_btn_04_ag)

local	ehsd_btn_05_ag				= CreateElement "ceStringPoly"
		ehsd_btn_05_ag.name			= "ehsd_btn_05_ag"
		ehsd_btn_05_ag.material		= mpcd_tpod_font
		ehsd_btn_05_ag.init_pos		= mpcd_btn_05_pos
		ehsd_btn_05_ag.alignment	= "CenterCenter"
		ehsd_btn_05_ag.value		= "C\nO\nD\nE"
		ehsd_btn_05_ag.stringdefs	= MPCD_default_font_size
		ehsd_btn_05_ag.controllers	= {{"EHSD_AG_Mode"}}
Add_MPCD_VIDEO_Element(ehsd_btn_05_ag)

-- TOP
local	wpn_menu_btn_06				= CreateElement "ceStringPoly"
		wpn_menu_btn_06.name		= "wpn_menu_btn_06"
		wpn_menu_btn_06.material	= mpcd_tpod_font
		wpn_menu_btn_06.init_pos	= mpcd_btn_06_pos
		wpn_menu_btn_06.alignment	= "CenterCenter"
		wpn_menu_btn_06.formats		= {"%s"}
		wpn_menu_btn_06.stringdefs	= MPCD_default_font_size
		wpn_menu_btn_06.controllers	= {{"EHSD_AG_Mode"}, {"strs_wpn_1a"}}
Add_MPCD_VIDEO_Element(wpn_menu_btn_06)

local	wpn_menu_btn_07				= CreateElement "ceStringPoly"
		wpn_menu_btn_07.name		= "wpn_menu_btn_07"
		wpn_menu_btn_07.material	= mpcd_tpod_font
		wpn_menu_btn_07.init_pos	= mpcd_btn_07_pos
		wpn_menu_btn_07.alignment	= "CenterCenter"
		wpn_menu_btn_07.formats		= {"%s"}
		wpn_menu_btn_07.stringdefs	= MPCD_default_font_size
		wpn_menu_btn_07.controllers	= {{"EHSD_AG_Mode"}, {"strs_wpn_1b"}}
Add_MPCD_VIDEO_Element(wpn_menu_btn_07)

local	wpn_menu_btn_08				= CreateElement "ceStringPoly"
		wpn_menu_btn_08.name		= "wpn_menu_btn_08"
		wpn_menu_btn_08.material	= mpcd_tpod_font
		wpn_menu_btn_08.init_pos	= mpcd_btn_08_pos
		wpn_menu_btn_08.alignment	= "CenterCenter"
		wpn_menu_btn_08.formats		= {"%s"}
		wpn_menu_btn_08.stringdefs	= MPCD_default_font_size
		wpn_menu_btn_08.controllers	= {{"EHSD_AG_Mode"}, {"strs_wpn_2a"}}
Add_MPCD_VIDEO_Element(wpn_menu_btn_08)

local	wpn_menu_btn_09				= CreateElement "ceStringPoly"
		wpn_menu_btn_09.name		= "wpn_menu_btn_09"
		wpn_menu_btn_09.material	= mpcd_tpod_font
		wpn_menu_btn_09.init_pos	= mpcd_btn_09_pos
		wpn_menu_btn_09.alignment	= "CenterCenter"
		wpn_menu_btn_09.formats		= {"%s"}
		wpn_menu_btn_09.stringdefs	= MPCD_default_font_size
		wpn_menu_btn_09.controllers	= {{"EHSD_AG_Mode"}, {"strs_wpn_2b"}}
Add_MPCD_VIDEO_Element(wpn_menu_btn_09)

local	wpn_menu_btn_10				= CreateElement "ceStringPoly"
		wpn_menu_btn_10.name		= "wpn_menu_btn_10"
		wpn_menu_btn_10.material	= mpcd_tpod_font
		wpn_menu_btn_10.init_pos	= mpcd_btn_10_pos
		wpn_menu_btn_10.alignment	= "CenterCenter"
		wpn_menu_btn_10.formats		= {"%s"}
		wpn_menu_btn_10.stringdefs	= MPCD_default_font_size
		wpn_menu_btn_10.controllers	= {{"EHSD_AG_Mode"}, {"strs_wpn_gun"}}
Add_MPCD_VIDEO_Element(wpn_menu_btn_10)

-- BOXED SELECTIONS
-- LEFT
local	data_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		data_mode_sel.name			= "data_mode_sel"
		data_mode_sel.init_pos		= mpcd_btn_02_pos
		data_mode_sel.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(data_mode_sel)

-- TOP

-- RIGHT
local	nseq_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		nseq_mode_sel.name			= "nseq_mode_sel"
		nseq_mode_sel.init_pos		= mpcd_btn_11_pos
		nseq_mode_sel.controllers	= {{"EHSD_NAV_Mode"}, {"nav_nseq_data"}}
Add_MPCD_VIDEO_Element(nseq_mode_sel)

-- BOTTOM
local	data_ac_sel					= create_mpcd_textured_box( 60, 4, 175, 50)
		data_ac_sel.name			= "data_ac_sel"
		data_ac_sel.init_pos		= mpcd_btn_16_pos
		data_ac_sel.controllers		= {{"EHSD_MAP_NMenu"}, {"EHSD_Data_AC"}}
Add_MPCD_VIDEO_Element(data_ac_sel)

local	data_tcn_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		data_tcn_sel.name			= "data_tcn_sel"
		data_tcn_sel.init_pos		= mpcd_btn_17_pos
		data_tcn_sel.controllers	= {{"EHSD_Data_TCN"}}
Add_MPCD_VIDEO_Element(data_tcn_sel)

local	data_wpt_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		data_wpt_sel.name			= "data_wpt_sel"
		data_wpt_sel.init_pos		= mpcd_btn_19_pos
		data_wpt_sel.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_Data_WPT"}}
Add_MPCD_VIDEO_Element(data_wpt_sel)

local	aut_scale_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		aut_scale_sel.name			= "aut_scale_sel"
		aut_scale_sel.init_pos		= mpcd_btn_20_pos
		aut_scale_sel.controllers	= {{"ehsd_scale_auto"}}
Add_MPCD_VIDEO_Element(aut_scale_sel)

-- Selected Weapons
local	wpn_menu_06_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		wpn_menu_06_boxed.name			= "wpn_menu_06_boxed"
		wpn_menu_06_boxed.init_pos		= mpcd_btn_06_pos
		wpn_menu_06_boxed.controllers	= {{"EHSD_AG_Mode"}, {"strs_wpn_1a_sel"}}
Add_MPCD_VIDEO_Element(wpn_menu_06_boxed)

local	wpn_menu_07_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		wpn_menu_07_boxed.name			= "wpn_menu_07_boxed"
		wpn_menu_07_boxed.init_pos		= mpcd_btn_07_pos
		wpn_menu_07_boxed.controllers	= {{"EHSD_AG_Mode"}, {"strs_wpn_1b_sel"}}
Add_MPCD_VIDEO_Element(wpn_menu_07_boxed)

local	wpn_menu_08_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		wpn_menu_08_boxed.name			= "wpn_menu_08_boxed"
		wpn_menu_08_boxed.init_pos		= mpcd_btn_08_pos
		wpn_menu_08_boxed.controllers	= {{"EHSD_AG_Mode"}, {"strs_wpn_2a_sel"}}
Add_MPCD_VIDEO_Element(wpn_menu_08_boxed)

local	wpn_menu_09_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		wpn_menu_09_boxed.name			= "wpn_menu_09_boxed"
		wpn_menu_09_boxed.init_pos		= mpcd_btn_09_pos
		wpn_menu_09_boxed.controllers	= {{"EHSD_AG_Mode"}, {"strs_wpn_2b_sel"}}
Add_MPCD_VIDEO_Element(wpn_menu_09_boxed)

local	wpn_menu_10_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		wpn_menu_10_boxed.name			= "wpn_menu_10_boxed"
		wpn_menu_10_boxed.init_pos		= mpcd_btn_10_pos
		wpn_menu_10_boxed.controllers	= {{"EHSD_AG_Mode"}, {"strs_gun_sel"}}
Add_MPCD_VIDEO_Element(wpn_menu_10_boxed)
